## python-orjson 3.9.15

=== requirements.txt ===
-r bench/requirements.txt
-r integration/requirements.txt
-r test/requirements.txt
maturin
mypy
ruff
types-python-dateutil
types-pytz
types-simplejson
types-ujson

=== bench/requirements.txt ===
memory-profiler
pandas
pytest-benchmark
pytest-random-order
python-rapidjson
seaborn
simplejson
tabulate
ujson

=== debian/changelog ===
python-orjson (3.9.15-1) unstable; urgency=medium

  * New upstream version 3.9.15 (Closes: #1077209) CVE-2024-27454

 -- Agathe Porte <gagath@debian.org>  Sat, 27 Jul 2024 10:51:53 +0900

python-orjson (3.9.14-3) unstable; urgency=medium

  * Source-only upload.

 -- Agathe Porte <gagath@debian.org>  Fri, 26 Jul 2024 16:20:20 +0900

python-orjson (3.9.14-2) unstable; urgency=medium

  * Initial release. (Closes: #1002996)

 -- Agathe Porte <gagath@debian.org>  Fri, 26 Jul 2024 15:17:10 +0900

=== debian/control ===
Source: python-orjson
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>,
Uploaders:
 Agathe Porte <gagath@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 cargo,
 librust-ahash-dev,
 librust-arrayvec-dev,
 librust-associative-cache-dev,
 librust-beef-dev,
 librust-bytecount-dev,
 librust-chrono-dev,
 librust-compact-str-dev,
 librust-encoding-rs-dev,
 librust-itoap-dev,
 librust-once-cell-dev,
 librust-page-size-dev,
 librust-pyo3-ffi-dev,
 librust-ryu-dev,
 librust-serde-dev,
 librust-serde-json-dev,
 librust-simdutf8-dev,
 librust-smallvec-dev,
 pybuild-plugin-pyproject,
 python3-all,
 python3-maturin,
 python3-pytest,
Standards-Version: 4.6.2
Homepage: https://github.com/ijl/orjson/
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-orjson
Vcs-Git: https://salsa.debian.org/python-team/packages/python-orjson.git

Package: python3-orjson
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: JSON parsing Python library
 Fast, correct Python JSON library supporting dataclasses, datetimes, and numpy
 orjson is a fast, correct JSON library for Python. It benchmarks as the
 fastest Python library for JSON and is more correct than the standard json
 library or other third-party libraries. It serializes dataclass, datetime,
 numpy, and UUID instances natively.
 .
 Its features and drawbacks compared to other Python JSON libraries:
 .
  * serializes `dataclass` instances 40-50x as fast as other libraries
  * serializes `datetime`, `date`, and `time` instances to RFC 3339 format,
    e.g., "1970-01-01T00:00:00+00:00"
  * serializes `numpy.ndarray` instances 4-12x as fast with 0.3x the memory
    usage of other libraries
  * pretty prints 10x to 20x as fast as the standard library
  * serializes to `bytes` rather than `str`, i.e., is not a drop-in replacement
  * serializes `str` without escaping unicode to ASCII, e.g., "好" rather than
  "\\\u597d"
  * serializes `float` 10x as fast and deserializes twice as fast as other
    libraries
  * serializes subclasses of `str`, `int`, `list`, and `dict` natively,
  requiring `default` to specify how to serialize others
  * serializes arbitrary types using a `default` hook
  * has strict UTF-8 conformance, more correct than the standard library
  * has strict JSON conformance in not supporting Nan/Infinity/-Infinity
  * has an option for strict JSON conformance on 53-bit integers with default
    support for 64-bit
  * does not provide `load()` or `dump()` functions for reading from/writing to
    file-like objects

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=orjson
export CARGO_NET_OFFLINE=true
export CARGO_HOME=$(shell pwd)/debian/cargo_home

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	if test -f Cargo.lock.saved; then mv Cargo.lock.saved Cargo.lock; fi
	dh_auto_clean

override_dh_auto_build:
	mv Cargo.lock Cargo.lock.saved
	dh_auto_build

override_dh_auto_test:
	ln -sr data .pybuild/cpython3_*_orjson/build/
	dh_auto_test
	rm .pybuild/cpython3_*_orjson/build/data

## python-orjson 3.10.7

=== requirements.txt ===
-r bench/requirements.txt
-r integration/requirements.txt
-r test/requirements.txt
maturin
mypy==1.10.0
ruff==0.5.5
types-python-dateutil
types-pytz
types-simplejson
types-ujson

=== bench/requirements.txt ===
memory-profiler
pandas; python_version<"3.13"
pytest-benchmark
pytest-random-order
python-rapidjson
seaborn; python_version<"3.13"
simplejson
tabulate
ujson

=== integration/requirements.txt ===
flask;sys_platform!="win"
gunicorn;sys_platform!="win"
httpx==0.24.1;sys_platform!="win"

=== test/requirements.txt ===
arrow
faker
numpy;(platform_machine=="x86_64" or (platform_machine=="aarch64" and sys_platform == "linux")) and python_version<"3.13"
pendulum;sys_platform=="linux" and platform_machine=="x86_64" and python_version<"3.12"
time-machine < 2.15;sys_platform=="linux" and platform_machine=="x86_64" and python_version<"3.12"
psutil;(sys_platform=="linux" or sys_platform == "macos") and platform_machine=="x86_64"
pytest
pytest-random-order
pytest-xdist
pytz
typing_extensions;python_version<"3.8"
xxhash==1.4.3;sys_platform=="linux" and platform_machine=="x86_64" and python_version<"3.9" # creates non-compact ASCII for test_str_ascii

=== debian/changelog ===
python-orjson (3.10.7-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with multiple supported Python interpreters, with thanks to
    Samuel Thibault for diagnosing the issue (Closes: #1087750).
  * Simplify some steps in d/rules.
  * Add additional outputs to debian/clean.
  * Update Standards-Version to 4.7.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Tue, 19 Nov 2024 19:28:07 +1100

python-orjson (3.10.7-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * fix syntax error in Maintainer field

  [ Agathe Porte ]
  * New upstream version 3.10.7 (Closes: #1078403, #1080184)
  * d/copyright: Add entry for yyjson
  * Relax chrono version dependency
  * Remove unwinding feature

 -- Agathe Porte <gagath@debian.org>  Mon, 16 Sep 2024 14:37:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: python-orjson
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Agathe Porte <gagath@debian.org>,
 Rules-Requires-Root: no
 Build-Depends:
+ cargo,
  debhelper-compat (= 13),
  dh-sequence-python3,
- cargo,
- librust-ahash-dev,
  librust-arrayvec-dev,
  librust-associative-cache-dev,
  librust-beef-dev,
@@ -17,6 +16,7 @@
  librust-chrono-dev,
  librust-compact-str-dev,
  librust-encoding-rs-dev,
+ librust-half-dev,
  librust-itoap-dev,
  librust-once-cell-dev,
  librust-page-size-dev,
@@ -26,11 +26,12 @@
  librust-serde-json-dev,
  librust-simdutf8-dev,
  librust-smallvec-dev,
+ librust-xxhash-rust-dev,
  pybuild-plugin-pyproject,
  python3-all,
  python3-maturin,
  python3-pytest,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/ijl/orjson/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-orjson
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-orjson.git

=== debian/tests/control ===
Tests: pytest.sh
Depends:
 @,
 python3-all,
 python3-pytest,

## python-orjson 3.11.3

=== requirements.txt ===
-r bench/requirements.txt
-r integration/requirements.txt
-r test/requirements.txt
maturin>=1,<2
mypy==1.15.0
ruff>=0.12,<0.13

=== bench/requirements.txt ===
memory-profiler; python_version<"3.14"
pandas; python_version<"3.14"
pytest-benchmark
pytest-random-order
seaborn; python_version<"3.14"
tabulate

=== integration/requirements.txt ===
flask;sys_platform!="win"
gunicorn;sys_platform!="win"
httpx==0.28.1;sys_platform!="win"

=== test/requirements.txt ===
faker
numpy;(platform_machine=="x86_64" or (platform_machine=="aarch64" and sys_platform == "linux")) and python_version<"3.13"
pendulum;sys_platform=="linux" and platform_machine=="x86_64" and python_version<"3.14"
psutil;(sys_platform=="linux" or sys_platform == "macos") and platform_machine=="x86_64" and python_version<"3.13"
pytest
python-dateutil >=2,<3;python_version<"3.14"
pytz

=== debian/changelog ===
python-orjson (3.11.3-2) unstable; urgency=medium

  * Team upload.
  * Accept pyo3 0.26.

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Oct 2025 21:46:47 +0100

python-orjson (3.11.3-1) unstable; urgency=medium

  * Team upload.
  * d/watch: Upgrade to v5.
  * New upstream release:
    - Update pyo3-ffi dependency to 0.25 (closes: #1114315).
  * Add several build/autopkgtest dependencies to improve test coverage.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Thu, 11 Sep 2025 12:32:08 +0100

=== debian/control ===
--- 
+++ 
@@ -9,29 +9,35 @@
  cargo,
  debhelper-compat (= 13),
  dh-sequence-python3,
- librust-arrayvec-dev,
  librust-associative-cache-dev,
- librust-beef-dev,
  librust-bytecount-dev,
- librust-chrono-dev,
- librust-compact-str-dev,
+ librust-bytes-dev,
  librust-encoding-rs-dev,
  librust-half-dev,
  librust-itoap-dev,
+ librust-jiff-dev,
  librust-once-cell-dev,
  librust-page-size-dev,
- librust-pyo3-ffi-dev,
+ librust-pyo3-ffi-dev (>= 0.25),
  librust-ryu-dev,
  librust-serde-dev,
  librust-serde-json-dev,
  librust-simdutf8-dev,
  librust-smallvec-dev,
+ librust-uuid-dev,
  librust-xxhash-rust-dev,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-dateutil <!nocheck>,
+ python3-fake-factory <!nocheck>,
  python3-maturin,
- python3-pytest,
-Standards-Version: 4.7.0
+ python3-numpy <!nocheck>,
+ python3-pandas <!nocheck>,
+ python3-pendulum <!nocheck>,
+ python3-psutil <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytz <!nocheck>,
+Standards-Version: 4.7.2
 Homepage: https://github.com/ijl/orjson/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-orjson
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-orjson.git

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=orjson
export CARGO_NET_OFFLINE=true
export CARGO_HOME=$(shell pwd)/debian/cargo_home

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_clean:
	if test -f Cargo.lock.saved; then mv Cargo.lock.saved Cargo.lock; fi

execute_before_dh_auto_build:
	mv Cargo.lock Cargo.lock.saved

=== debian/tests/control ===
Tests: pytest.sh
Depends:
 @,
 python3-all,
 python3-dateutil,
 python3-fake-factory,
 python3-numpy,
 python3-pandas,
 python3-pendulum,
 python3-psutil,
 python3-pytest,
 python3-pytz,

=== debian/watch ===
Version: 5

Template: Github
Owner: ijl
Project: orjson

## python-orjson 3.11.5

=== requirements.txt ===
-r bench/requirements.txt
-r integration/requirements.txt
-r requirements-lint.txt
-r test/requirements.txt
maturin>=1.10,<2

=== bench/requirements.txt ===
memory-profiler; python_version<"3.15" and implementation_name=="cpython"
pandas; python_version<"3.15" and implementation_name=="cpython"
pytest-benchmark
pytest-random-order
seaborn; python_version<"3.15" and implementation_name=="cpython"
tabulate

=== debian/changelog ===
python-orjson (3.11.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    - Python 3.14 support
    - rust-pyo3-ffi 0.27 support (Closes: #1121949)
    - drop relax-jiff.patch and relax-pyo.patch no longer needed
    - refresh remove-unwinding-feature.patch

 -- Stuart Prescott <stuart@debian.org>  Tue, 09 Dec 2025 09:56:45 +1100
